PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
PSHA1Context Class Reference

SHA1 digest scheme. More...

`#include <pssl.h>`

Inheritance diagram for PSHA1Context:
[legend]
Collaboration diagram for PSHA1Context:
[legend]

## Public Types
enum | { BlockSize = 64 }
typedef BYTE | Digest [20]
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...

## Public Member Functions
| PSHA1Context ()
| ~PSHA1Context ()
void | Update (const void *data, PINDEX length)
void | Update (const PString &str)
void | Finalise (Digest result)
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Static Public Member Functions
static void | Process (const void *data, PINDEX length, Digest result)
static void | Process (const PString &str, Digest result)
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Protected Attributes
SHAstate_st * | m_context
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Friends inherited from PObject

## Detailed Description

SHA1 digest scheme.

## Member Typedef Documentation

typedef BYTE PSHA1Context::Digest[20]

## Member Enumeration Documentation

anonymous enum

Enumerator
BlockSize |

## Constructor & Destructor Documentation

PSHA1Context::PSHA1Context | ( |  | ) |

PSHA1Context::~PSHA1Context | ( |  | ) |

## Member Function Documentation

void PSHA1Context::Finalise | ( | Digest | result | ) |

static void PSHA1Context::Process | ( | const void * | data,
|  | PINDEX | length,
|  | Digest | result
| ) |  |
| static

static void PSHA1Context::Process | ( | const PString & | str,
|  | Digest | result
| ) |  |
| inline static

References PString::GetLength(), and Process().

Referenced by Process().

void PSHA1Context::Update | ( | const void * | data,
|  | PINDEX | length
| ) |  |

void PSHA1Context::Update | ( | const PString & | str | ) |
| inline

References PString::GetLength(), and Update().

Referenced by Update().

## Member Data Documentation

SHAstate_st* PSHA1Context::m_context
| protected

The documentation for this class was generated from the following file:

- pssl.h